import sys, random, time

# merge two sorted lists a and b
# and return merged list
def merge(a, b):
  i = 0
  j = 0
  res = []
  while i < len(a) and j < len(b):
    va = a[i]
    vb = b[j]
    if va <= vb:
      res.append(va)
      i += 1
    else:
      res.append(vb)
      j += 1
  # now just copy remaining elements
  # (only one of these can be non-empty)
  res.extend(a[i:])
  res.extend(b[j:])
  return res

def merge_sort(a):
  if len(a) <= 1:
    return a
  mid = len(a) // 2
  return merge(merge_sort(a[:mid]), merge_sort(a[mid:]))

n = int(sys.argv[1])
w = [ random.randrange(1000000) for i in range(n) ]
print(w[:100])
startTime = time.time()
w = merge_sort(w)
stopTime = time.time()
print(w[:100])

print("Runtime %g secs" % (stopTime - startTime))
