import sys, random, time

def quick_sort(a):
  if len(a) <= 1:
    return a
  pivot = a[len(a) // 2]
  small = []
  equal = []
  large = []
  for x in a:
    if x < pivot:
      small.append(x)
    elif x == pivot:
      equal.append(x)
    else:
      large.append(x)
  return quick_sort(small) + equal + quick_sort(large)

n = int(sys.argv[1])
w = [ random.randrange(1000000) for i in range(n) ]
print(w[:100])
startTime = time.time()
w = quick_sort(w)
stopTime = time.time()
print(w[:100])

print("Runtime %g secs" % (stopTime - startTime))
